package kr.co.uplus.ez.api.channelMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.api.servMgt.dto.RejectRecvInfo;
import kr.co.uplus.ez.api.servMgt.dto.RejectRecvListRes;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class TmpltListResDto extends ResponseMessage implements Serializable {

	// 데이터.
	private TmpltListRes data;
	private RjtTmpltListRes rjtData;

	public TmpltListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public TmpltListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public TmpltListResDto(ApiResponseCode returnStr, TmpltListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
	
	public TmpltListResDto(ApiResponseCode returnStr, RjtTmpltListRes rjtData) {
		this.retCode = returnStr.getResultCode();
		this.rjtData = rjtData;
	}
}
